﻿local _G = _G
local select = _G.select
local pairs = _G.pairs
local ipairs = _G.ipairs
local string = _G.string
local type = _G.type
local error = _G.error
local table = _G.table


function ArkInventory.SellJunk( )
	
	if IsAddOnLoaded( "Scrap" ) then
		-- do not conflict with other selling addons, they have more functionality
		return
	end
	
	if ArkInventory.db.global.option.junk.sell then
		
		ArkInventory.Output( "sell junk enabled" )
		local sold = 0
		local limit = BUYBACK_ITEMS_PER_PAGE
		if not ArkInventory.db.global.option.junk.limit then
			limit = 0
		end
		
		for _, blizzard_id in pairs( ArkInventory.Global.Location[ArkInventory.Const.Location.Bag].Bags ) do
			local count = GetContainerNumSlots( blizzard_id )
			for slot_id = 1, count do
				local _, _, locked, rarity, _, _, h = GetContainerItemInfo( blizzard_id, slot_id )
				local sellprice = ArkInventory.ObjectInfoSellPrice( h )
				if rarity == 0 and not locked then
					
					if sellprice > 0 then
						sold = sold + 1
						if limit > 0 and sold > limit then
							-- limit to buyback page
							return
						end
						--ArkInventory.Output( "selling ", h )
						UseContainerItem( blizzard_id, slot_id )
					elseif sellprice == 0 then
						if ArkInventory.db.global.option.junk.delete then
							--ArkInventory.Output( "deleting ", h )
							PickupContainerItem( blizzard_id, slot_id )
							DeleteCursorItem( )
						end
					end
					
					
				end
			end
			
		end
		
	end
	
end
