﻿local L = LibStub( "AceLocale-3.0" ):NewLocale( "ArkInventory", "enUS", true, false )
if not L then return end

-- game client based localisations and internal stuff
L["TOC_FAIL"] = "*****  This is a Legion Beta version, it will not work on the live servers, please downgrade to 3.05.12  *****"

-- class names
L["WOW_CLASS_DRUID"] = LOCALIZED_CLASS_NAMES_MALE["DRUID"] or true
L["WOW_CLASS_HUNTER"] = LOCALIZED_CLASS_NAMES_MALE["HUNTER"] or true
L["WOW_CLASS_MAGE"] = LOCALIZED_CLASS_NAMES_MALE["MAGE"] or true
L["WOW_CLASS_PALADIN"] = LOCALIZED_CLASS_NAMES_MALE["PALADIN"] or true
L["WOW_CLASS_PRIEST"] = LOCALIZED_CLASS_NAMES_MALE["PRIEST"] or true
L["WOW_CLASS_ROGUE"] = LOCALIZED_CLASS_NAMES_MALE["ROGUE"] or true
L["WOW_CLASS_SHAMAN"] = LOCALIZED_CLASS_NAMES_MALE["SHAMAN"] or true
L["WOW_CLASS_WARLOCK"] = LOCALIZED_CLASS_NAMES_MALE["WARLOCK"] or true
L["WOW_CLASS_WARRIOR"] = LOCALIZED_CLASS_NAMES_MALE["WARRIOR"] or true
L["WOW_CLASS_DEATHKNIGHT"] = LOCALIZED_CLASS_NAMES_MALE["DEATHKNIGHT"] or true
L["WOW_CLASS_MONK"] = LOCALIZED_CLASS_NAMES_MALE["MONK"] or true
L["WOW_CLASS_DEMONHUNTER"] = LOCALIZED_CLASS_NAMES_MALE["DEMONHUNTER"] or true


--	periodictable: set names for default class categories
L["PT_CLASS_DRUID"] = "Misc.Reagent.Class.Druid"
L["PT_CLASS_HUNTER"] = "Misc.Reagent.Class.Hunter"
L["PT_CLASS_MAGE"] = "Misc.Reagent.Class.Mage"
L["PT_CLASS_PALADIN"] = "Misc.Reagent.Class.Paladin"
L["PT_CLASS_PRIEST"] = "Misc.Reagent.Class.Priest"
L["PT_CLASS_ROGUE"] = "Misc.Reagent.Class.Rogue"
L["PT_CLASS_SHAMAN"] = "Misc.Reagent.Class.Shaman"
L["PT_CLASS_WARLOCK"] = "Misc.Reagent.Class.Warlock"
L["PT_CLASS_WARRIOR"] = "Misc.Reagent.Class.Warrior"
L["PT_CLASS_DEATHKNIGHT"] = "Misc.Reagent.Class.DeathKnight"
L["PT_CLASS_MONK"] = "Misc.Reagent.Class.Monk"
L["PT_CLASS_DEMONHUNTER"] = "Misc.Reagent.Class.DemonHunter"


--	periodictable: other
L["PT_CATEGORY_CONSUMABLE_FOOD"] = "Consumable.Food.Edible"
L["PT_CATEGORY_CONSUMABLE_DRINK"] = "Consumable.Water"
L["PT_CATEGORY_CONTAINER"] = "Misc.Bag"
L["PT_CATEGORY_MOUNT"] = "Misc.Mount"
L["PT_CATEGORY_POTION"] = "Consumable.Potion"
L["PT_CATEGORY_POTION_HEAL"] = "Consumable.Potion.Recovery.Healing,Consumable.Warlock.Healthstone"
L["PT_CATEGORY_POTION_MANA"] = "Consumable.Potion.Recovery.Mana"
L["PT_CATEGORY_QUEST"] = "Misc.QuestMats"
L["PT_CATEGORY_REPUTATION"] = "Reputation.Turnin"
L["PT_CATEGORY_PET"] = "Misc.Minipet"


-- skills that we dont need to lookup
L["WOW_SKILL_ARCHAEOLOGY"] = PROFESSIONS_ARCHAEOLOGY or true
L["WOW_SKILL_COOKING"] = PROFESSIONS_COOKING or true
L["WOW_SKILL_FIRSTAID"] = PROFESSIONS_FIRST_AID or true
L["WOW_SKILL_FISHING"] = PROFESSIONS_FISHING or true


-- locations
L["LOCATION_BAG"] = INVTYPE_BAG or true
L["LOCATION_BANK"] = BANK or true
L["LOCATION_VAULT"] = GUILD_BANK or true
L["LOCATION_VOIDSTORAGE"] = VOID_STORAGE or true



--	category descriptions
L["CATEGORY_CLASS"] = CLASS or true
L["CATEGORY_CUSTOM"] = CUSTOM or true
L["CATEGORY_EMPTY"] = EMPTY or true
L["CATEGORY_SKILL"] = SKILL or true
L["CATEGORY_SYSTEM"] = CHAT_MSG_SYSTEM or true

L["CATEGORY_SYSTEM_SOULBOUND"] = ITEM_SOULBOUND or true
L["CATEGORY_CONSUMABLE_FOOD"] = TUTORIAL_TITLE11 or true
L["CATEGORY_CONSUMABLE_DRINK"] = TUTORIAL_TITLE12 or true

L["CATEGORY_SYSTEM_EQUIPMENT"] = TUTORIAL_TITLE24 or true
L["CATEGORY_SYSTEM_EQUIPMENT_SOULBOUND"] = ( TUTORIAL_TITLE24 and ITEM_SOULBOUND and string.format( "%s (%s)", TUTORIAL_TITLE24, ITEM_SOULBOUND ) ) or true
L["CATEGORY_SYSTEM_EQUIPMENT_ACCOUNTBOUND"] = ( TUTORIAL_TITLE24 and ITEM_ACCOUNTBOUND and string.format( "%s (%s)", TUTORIAL_TITLE24, ITEM_ACCOUNTBOUND ) ) or true

-- ldb
L["LDB_MOUNTS_TYPE_A"] = BATTLE_PET_NAME_3 or true -- calculated keyword


-- generic words
L["ACCEPT"] = ACCEPT or true
L["ACTIVE"] = ACTIVE_PETS or true
L["ADD"] = ADD or true
L["ALL"] = ALL or true
L["APPEARANCE"] = APPEARANCE_LABEL or true
L["BAG"] = INVTYPE_BAG or true
L["BLIZZARD"] = "Blizzard"
L["AQUATIC"] = BATTLE_PET_NAME_9 or true
L["BACKGROUND"] = EMBLEM_BACKGROUND or true
L["BATTLEPET"] = TOOLTIP_BATTLE_PET or true
L["BORDER"] = EMBLEM_BORDER or true
L["CANCEL"] = CANCEL or true
L["CATEGORIES"] = CATEGORIES or true
L["CATEGORY"] = CATEGORY or true
L["CHARACTER"] = CHARACTER or true
L["CLEANUP"] = BAG_FILTER_CLEANUP or true
L["CLOSE"] = CLOSE or true
L["COLOUR"] = COLOR or true
L["COLLECTED"] = COLLECTED or true
L["COMPLETE"] = COMPLETE or true
L["CONTROLS"] = CONTROLS_LABEL or true
L["CRAFTING_REAGENT"] = PROFESSIONS_USED_IN_COOKING or true
L["CURRENCY"] = CURRENCY or true
L["CUSTOM"] = CUSTOM or true
L["DEFAULT"] = DEFAULT or true
L["DEBUG"] = BINDING_HEADER_DEBUG or true
L["DEFAULT"] = DEFAULT or true
L["DELETE"] = DELETE or true
L["DESCRIPTION"] = QUEST_DESCRIPTION or true
L["DISABLED"] = ADDON_DISABLED or true
L["DISPLAY"] = DISPLAY or true
L["DURATION"] = AUCTION_DURATION or true
L["EDIT"] = EDIT or true
L["EMPTY"] = EMPTY or true
L["ENABLED"] = VIDEO_OPTIONS_ENABLED or true
L["FILTER"] = FILTER or true
L["FULL"] = LOC_TYPE_FULL or true
L["GENERAL"] = GENERAL or true
L["HEIRLOOM"] = ITEM_QUALITY7_DESC or true
L["HIDE"] = HIDE or true
L["ICON"] = EMBLEM_SYMBOL or true
L["IGNORE"] = IGNORE or true
L["INSTANT"] = SPELL_CAST_TIME_INSTANT or true
L["ITEMS"] = ITEMS or true
L["JUNK"] = BAG_FILTER_JUNK or true
L["LOCK"] = LOCK or true
L["MAIL"] = MAIL_LABEL or true
L["MOUNT"] = MOUNT or true
L["MODE"] = MODE or true
L["MOVE"] = NPE_MOVE or true
L["NAME"] = NAME or true
L["NEW"] = NEW or true
L["NO"] = NO or true
L["NONE"] = NONE or true
L["NOT_COLLECTED"] = NOT_COLLECTED or true
L["OFFLINE"] = FRIENDS_LIST_OFFLINE or true
L["ONLINE"] = FRIENDS_LIST_ONLINE or true
L["OPTIONS"] = GAMEOPTIONS_MENU or true
L["PET"] = PET or true
L["REAGENTBANK"] = REAGENT_BANK or true
L["REALM"] = VAS_REALM_LABEL or true
L["REFRESH"] = REFRESH or true
L["REMOVE"] = REMOVE or true
L["RENAME"] = PET_RENAME or true
L["REPUTATION"] = REPUTATION or true
L["RESET"] = RESET or true
L["SAVE"] = SAVE or true
L["SEARCH"] = SEARCH or true
L["SETTINGS"] = SETTINGS or true
L["SHOW"] = SHOW or true
L["SORT_BY"] = RAID_FRAME_SORT_LABEL or true
L["SPECIAL"] = SPECIAL or true
L["START"] = START or true
L["STATUS"] = STATUS or true
L["TEXT"] = LOCALE_TEXT_LABEL or true
L["TOTAL"] = TOTAL or true
L["TOY"] = TOY or true
L["TOYBOX"] = TOY_BOX or true
L["TRACKING"] = TRACKING or true
L["UNKNOWN"] = UNKNOWNOBJECT or true
L["VIEW"] = VIEW or true
L["YES"] = YES or true


local function ConvertToCapture( text )
	text = string.gsub( text, "%d%$", "" ) -- remove 1$ / 2$
	text = string.gsub( text, "%(", "%%%(" ) -- replace ( with %(
	text = string.gsub( text, "%)", "%%%)" ) -- replace ) with %)
	text = string.gsub( text, "%%s", "(.+)" ) -- replace %s with (.+)
	text = string.gsub( text, "%%d", "%(%%d+%)" ) -- replace %d with (%d+)
	return string.format( "^%s$", text )
end

-- calculated
L["WOW_TOOLTIP_REQUIRES_SKILL"] = ConvertToCapture( ITEM_MIN_SKILL )
L["WOW_TOOLTIP_REQUIRES_LEVEL"] = ConvertToCapture( ITEM_MIN_LEVEL )
L["WOW_TOOLTIP_REQUIRES_CLASS"] = ConvertToCapture( ITEM_CLASSES_ALLOWED )
L["WOW_TOOLTIP_REQUIRES"] = ConvertToCapture( ITEM_REQ_SKILL )
L["WOW_TOOLTIP_ITEMUPGRADELEVEL"] = ConvertToCapture( ITEM_UPGRADE_TOOLTIP_FORMAT )
L["WOW_TOOLTIP_ITEM_LEVEL"] = ConvertToCapture( ITEM_LEVEL )

L["WOW_TOOLTIP_CLASS"] = string.format( "^%s", string.gsub( ITEM_CLASSES_ALLOWED, "%%s", "(.+)", 1 ) )
L["PET_BATTLE_BOUND"] = string.format( "%s (%s)", TOOLTIP_BATTLE_PET, ITEM_ACCOUNTBOUND )
L["PET_COMPANION_BOUND"] = string.format( "%s (%s)", PET, ITEM_ACCOUNTBOUND )
L["PET_CANNOT_BATTLE"] = string.gsub( BATTLE_PET_CANNOT_BATTLE, "\n", " " )

L["MINUTES"] = string.match( D_MINUTES, ":(.-);$" ) or true


local name = GetSpellInfo( 783 )
L["SPELL_DRUID_TRAVEL_FORM"] = name


-- generated from auction house categories

local auctionTable = {
	
	{ "WOW_AH_WEAPON", LE_ITEM_CLASS_WEAPON },
	
	{ "WOW_AH_ARMOR", LE_ITEM_CLASS_ARMOR },
	
	{ "WOW_AH_CONTAINER", LE_ITEM_CLASS_CONTAINER },
	{ "WOW_AH_CONTAINER_BAG", LE_ITEM_CLASS_CONTAINER, 0 },
--	{ "WOW_AH_CONTAINER_SOUL", LE_ITEM_CLASS_CONTAINER, 1 },
	{ "WOW_AH_CONTAINER_HERB", LE_ITEM_CLASS_CONTAINER, 2 },
	{ "WOW_AH_CONTAINER_ENCHANTING", LE_ITEM_CLASS_CONTAINER, 3 },
	{ "WOW_AH_CONTAINER_ENGINEERING", LE_ITEM_CLASS_CONTAINER, 4 },
	{ "WOW_AH_CONTAINER_GEM", LE_ITEM_CLASS_CONTAINER, 5 },
	{ "WOW_AH_CONTAINER_MINING", LE_ITEM_CLASS_CONTAINER, 6 },
	{ "WOW_AH_CONTAINER_LEATHERWORKING", LE_ITEM_CLASS_CONTAINER, 7 },
	{ "WOW_AH_CONTAINER_INSCRIPTION", LE_ITEM_CLASS_CONTAINER, 8 },
	{ "WOW_AH_CONTAINER_TACKLE", LE_ITEM_CLASS_CONTAINER, 9 },
	{ "WOW_AH_CONTAINER_COOKING", LE_ITEM_CLASS_CONTAINER, 10 },
	
	{ "CATEGORY_CONSUMABLE", LE_ITEM_CLASS_CONSUMABLE },
	{ "WOW_AH_CONSUMABLE", LE_ITEM_CLASS_CONSUMABLE },
--	{ "WOW_AH_CONSUMABLE_EXPLOSIVES+DEVICES", LE_ITEM_CLASS_CONSUMABLE, 0 },
	{ "WOW_AH_CONSUMABLE_POTION", LE_ITEM_CLASS_CONSUMABLE, 1 },
	{ "WOW_AH_CONSUMABLE_ELIXIR", LE_ITEM_CLASS_CONSUMABLE, 2 },
	{ "WOW_AH_CONSUMABLE_FLASK", LE_ITEM_CLASS_CONSUMABLE, 3 },
	{ "WOW_AH_CONSUMABLE_SCROLL", LE_ITEM_CLASS_CONSUMABLE, 4 }, --LEGION OBSOLETE
	{ "WOW_AH_CONSUMABLE_FOOD+DRINK", LE_ITEM_CLASS_CONSUMABLE, 5 },
	{ "WOW_AH_CONSUMABLE_ENHANCEMENT", LE_ITEM_CLASS_CONSUMABLE, 6 }, --LEGION OBSOLETE
	{ "WOW_AH_CONSUMABLE_BANDAGE", LE_ITEM_CLASS_CONSUMABLE, 7 },
	{ "WOW_AH_CONSUMABLE_OTHER", LE_ITEM_CLASS_CONSUMABLE, 8 },
	{ "WOW_AH_CONSUMABLE_VANTUSRUNES", LE_ITEM_CLASS_CONSUMABLE, 9 }, --LEGION NEW
	
	{ "WOW_AH_GLYPH", LE_ITEM_CLASS_GLYPH },
	
	{ "CATEGORY_TRADEGOODS", LE_ITEM_CLASS_TRADEGOODS },
	{ "WOW_AH_TRADEGOODS", LE_ITEM_CLASS_TRADEGOODS },
--	{ "WOW_AH_TRADEGOODS_TRADEGOODS", LE_ITEM_CLASS_TRADEGOODS, 0 },
	{ "WOW_AH_TRADEGOODS_PARTS", LE_ITEM_CLASS_TRADEGOODS, 1 },
	{ "WOW_AH_TRADEGOODS_EXPLOSIVES", LE_ITEM_CLASS_TRADEGOODS, 2 },
	{ "WOW_AH_TRADEGOODS_DEVICES", LE_ITEM_CLASS_TRADEGOODS, 3 },
	{ "WOW_AH_TRADEGOODS_JEWELCRAFTING", LE_ITEM_CLASS_TRADEGOODS, 4 },
	{ "WOW_AH_TRADEGOODS_CLOTH", LE_ITEM_CLASS_TRADEGOODS, 5 },
	{ "WOW_AH_TRADEGOODS_LEATHER", LE_ITEM_CLASS_TRADEGOODS, 6 },
	{ "WOW_AH_TRADEGOODS_METALSTONE", LE_ITEM_CLASS_TRADEGOODS, 7 },
	{ "WOW_AH_TRADEGOODS_COOKING", LE_ITEM_CLASS_TRADEGOODS, 8 },
	{ "WOW_AH_TRADEGOODS_HERB", LE_ITEM_CLASS_TRADEGOODS, 9 },
	{ "WOW_AH_TRADEGOODS_ELEMENTAL", LE_ITEM_CLASS_TRADEGOODS, 10 },
	{ "WOW_AH_TRADEGOODS_OTHER", LE_ITEM_CLASS_TRADEGOODS, 11 },
	{ "WOW_AH_TRADEGOODS_ENCHANTING", LE_ITEM_CLASS_TRADEGOODS, 12 },
	{ "WOW_AH_TRADEGOODS_MATERIALS", LE_ITEM_CLASS_TRADEGOODS, 13 },
	{ "WOW_AH_TRADEGOODS_ENCHANTMENT", LE_ITEM_CLASS_TRADEGOODS, 14 },
--	{ "WOW_AH_TRADEGOODS_WEAPONENCHANTMENT", LE_ITEM_CLASS_TRADEGOODS, 15 },
	{ "WOW_AH_TRADEGOODS_INSCRIPTION", LE_ITEM_CLASS_TRADEGOODS, 16 },
--	{ "WOW_AH_TRADEGOODS_EXPLOSIVES+DEVICES", LE_ITEM_CLASS_TRADEGOODS, 17 },
	
	{ "WOW_AH_RECIPE", LE_ITEM_CLASS_RECIPE },
	{ "WOW_AH_RECIPE_LEATHERWORKING", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_LEATHERWORKING },
	{ "WOW_AH_RECIPE_TAILORING", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_TAILORING },
	{ "WOW_AH_RECIPE_ENGINEERING", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_ENGINEERING },
	{ "WOW_AH_RECIPE_BLACKSMITHING", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_BLACKSMITHING },
	{ "WOW_AH_RECIPE_ALCHEMY", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_ALCHEMY },
	{ "WOW_AH_RECIPE_INSCRIPTION", LE_ITEM_CLASS_RECIPE, LE_ITEM_RECIPE_INSCRIPTION },
	
	{ "WOW_AH_GEM", LE_ITEM_CLASS_GEM },
	
	{ "WOW_AH_MISC_PET", LE_ITEM_CLASS_BATTLEPET },
	
	{ "WOW_AH_MISC", LE_ITEM_CLASS_MISCELLANEOUS },
	{ "WOW_AH_MISC_JUNK", LE_ITEM_CLASS_MISCELLANEOUS, 0 },
	{ "WOW_AH_MISC_REAGENT", LE_ITEM_CLASS_MISCELLANEOUS, 1 },
--	{ "WOW_AH_MISC_COMPANIONPETS", LE_ITEM_CLASS_MISCELLANEOUS, 2 },
--	{ "WOW_AH_MISC_HOLIDAY", LE_ITEM_CLASS_MISCELLANEOUS, 3 },
--	{ "WOW_AH_MISC_OTHER", LE_ITEM_CLASS_MISCELLANEOUS, 4 },
	{ "WOW_AH_MISC_MOUNT", LE_ITEM_CLASS_MISCELLANEOUS, 5 },
	
	{ "WOW_AH_QUEST", LE_ITEM_CLASS_QUESTITEM },
	
}

for _, v in ipairs( auctionTable ) do
	
	local key, i1, i2 = v[1], v[2], v[3]
	
	if key then
		
		local text = nil
		
		if i1 and i2 then
			text = GetItemSubClassInfo( i1, i2 )
		elseif i1 then
			text = GetItemClassInfo( i1 )
		end
		
		if text then
			L[key] = text
		end
		
		--print( string.format( "%s (%s-%s) = %s", key, i1, i2 or 0, text or "nil" ) )
		
	end
	
end

table.wipe( auctionTable )
auctionTable = nil


-- set all to true so that they exist and can be over-ridden by the translation update code, wont get over-ridden here because the api wont allow it

L["WOW_AH_WEAPON"] = true

L["WOW_AH_ARMOR"] = true

L["WOW_AH_CONSUMABLE"] = true
L["WOW_AH_CONSUMABLE_BANDAGE"] = true
L["WOW_AH_CONSUMABLE_ELIXIR"] = true
L["WOW_AH_CONSUMABLE_FLASK"] = true
L["WOW_AH_CONSUMABLE_FOOD+DRINK"] = true
L["WOW_AH_CONSUMABLE_ENHANCEMENT"] = true
L["WOW_AH_CONSUMABLE_POTION"] = true
L["WOW_AH_CONSUMABLE_SCROLL"] = true
L["WOW_AH_CONSUMABLE_OTHER"] = true

L["WOW_AH_CONTAINER"] = true
L["WOW_AH_CONTAINER_BAG"] = true
L["WOW_AH_CONTAINER_ENCHANTING"] = true
L["WOW_AH_CONTAINER_ENGINEERING"] = true
L["WOW_AH_CONTAINER_GEM"] = true
L["WOW_AH_CONTAINER_HERB"] = true
L["WOW_AH_CONTAINER_INSCRIPTION"] = true
L["WOW_AH_CONTAINER_LEATHERWORKING"] = true
L["WOW_AH_CONTAINER_MINING"] = true
L["WOW_AH_CONTAINER_TACKLE"] = true
L["WOW_AH_CONTAINER_COOKING"] = true

L["WOW_AH_GEM"] = true

L["WOW_AH_GLYPH"] = true

L["WOW_AH_MISC"] = true
L["WOW_AH_MISC_MOUNT"] = true
L["WOW_AH_MISC_PET"] = true
L["WOW_AH_MISC_REAGENT"] = true
L["WOW_AH_MISC_JUNK"] = true

L["WOW_AH_QUEST"] = true

L["WOW_AH_TRADEGOODS"] = true
L["WOW_AH_TRADEGOODS_ELEMENTAL"] = true
L["WOW_AH_TRADEGOODS_CLOTH"] = true
L["WOW_AH_TRADEGOODS_LEATHER"] = true
L["WOW_AH_TRADEGOODS_METALSTONE"] = true
L["WOW_AH_TRADEGOODS_COOKING"] = true
L["WOW_AH_TRADEGOODS_HERB"] = true
L["WOW_AH_TRADEGOODS_ENCHANTING"] = true
L["WOW_AH_TRADEGOODS_JEWELCRAFTING"] = true
L["WOW_AH_TRADEGOODS_PARTS"] = true
L["WOW_AH_TRADEGOODS_DEVICES"] = true
L["WOW_AH_TRADEGOODS_EXPLOSIVES"] = true
L["WOW_AH_TRADEGOODS_MATERIALS"] = true
L["WOW_AH_TRADEGOODS_OTHER"] = true
L["WOW_AH_TRADEGOODS_ENCHANTMENT"] = true
L["WOW_AH_TRADEGOODS_INSCRIPTION"] = true

L["WOW_AH_RECIPE"] = true
L["WOW_AH_RECIPE_ALCHEMY"] = true
L["WOW_AH_RECIPE_BLACKSMITHING"] = true
L["WOW_AH_RECIPE_ENGINEERING"] = true
L["WOW_AH_RECIPE_INSCRIPTION"] = true
L["WOW_AH_RECIPE_LEATHERWORKING"] = true
L["WOW_AH_RECIPE_TAILORING"] = true

L["WOW_SKILL_HERBALISM"] = true
L["WOW_SKILL_MINING"] = true
L["WOW_SKILL_SKINNING"] = true

L["CATEGORY_CONSUMABLE"] = true
L["CATEGORY_TRADEGOODS"] = true
